diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 63914ca..00a3e2a 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -111981,7 +111981,7 @@ XRecursivePolynomial(VarSet:OrderedSet,R:Ring):  Xcat == Xdef where
 
        unexpand p ==
          constant? p => (constant p)::%
-         vl: List VarSet := sort(#1 > #2, varList p)
+         vl: List VarSet := sort((y,z) +-> y > z, varList p)
          x : REGPOLY := _
            construct [[v, unexpand r]$TERM for v in vl| (r:=lquo(p,v)) ^= 0]
          [constant p, x]$VPOLY
diff --git a/changelog b/changelog
index 6b81289..b1ff1ed 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090519 tpd src/axiom-website/patches.html 20090519.08.tpd.patch
+20090519 tpd books/bookvol10.3 XRPOLY +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.07.tpd.patch
 20090519 tpd books/bookvol10.4 FSPECF +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d7addf8..9a22a6c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1378,5 +1378,7 @@ bookvol10.4 FFFGF +-> conversion<br/>
 bookvol10.3 UNISEG +-> conversion<br/>
 <a href="patches/20090519.07.tpd.patch">20090519.07.tpd.patch</a>
 bookvol10.4 FSPECF +-> conversion<br/>
+<a href="patches/20090519.08.tpd.patch">20090519.08.tpd.patch</a>
+bookvol10.3 XRPOLY +-> conversion<br/>
  </body>
 </html>
